#!/bin/sh
#
#SBATCH --partition=slurm_batch        # default "univ", if not specified
#SBATCH --time=1-00:00:00       # run time in days-hh:mm:ss
#SBATCH --nodes=1           # require 2 nodes
#SBATCH --ntasks-per-node=1            # (by default, "ntasks"="cpus")
##SBATCH --mem-per-cpu=4000      # RAM per CPU core, in MB (default 4 GB/core)
#SBATCH --error=job.%J.out
#SBATCH --output=job.%J.out

#SBATCH --gres=gpu:gtx480:4

## module load cuda/7.0.28
## module unload cuda/6.5.11
## module load cuda/7.5
## module unload cuda/7.0.28

module load cuda/7.5
#module load swig/3.0.7
#module load cmake/3.5.1
#module load intel/mkl
module load gcc/5.x.x
module load openmpi/1.10.0
module load fftw/3.3.5/default
#unset CUDA_VISIBLE_DEVICES
#export CUDA_LIB_PATH=/usr/local/cuda-prefix/8.0/lib64/stubs/
export CC=gcc

#printenv > new_env.dat

## export PATH="/srv/home/mvanvleet/.local/bin:$PATH"
## export LD_LIBRARY_PATH=/usr/local/cuda/7.5/lib:$LD_LIBRARY_PATH
export OPENMM_CUDA_COMPILER=/usr/local/cuda/7.5/cuda/bin/nvcc

python run_benzene.py


